local mod = RW:Boss("Trash - Deathspeaker High Priest", "Icecrown Citadel", "The Lower Spire")
mod:SetAsTrashMod()
local L

---------------------------
-- Variables
local mReckoning, tReckoning, wReckoning, iReckoning

---------------------------
-- Init

function mod:OnRegister()
	L = mod:RegisterLocale(self:GetName(), "enUS", true)
	if L then
		L.name = "Trash - Deathspeaker High Priest"
	end
	L = mod:GetLocale()
	self.L = L
	
	self:SetTrigger(36829)
	self:SetWin("combat")
	
	tReckoning = self:DurTargetTimer(8, 69483)
	mReckoning = self:TargetMessage(69483)
	wReckoning = self:RunawayWarning(69483)
	
	iReckoning = self:Icon("SKULL", 69483, false, 8)
end

---------------------------
-- Locals

---------------------------
-- Start

function mod:OnEngage(trigger)
	self:Track("Reckoning", 69483)
end

function mod:Reckoning(event, args)
	if event == "SPELL_AURA_APPLIED" then
		if args:IsPlayer() then
			wReckoning:Show()
			RW.Callbacks:Fire("RangeCheckShow", true, 15)
		end
		tReckoning:Start(args.dName)
		mReckoning:Show(args.dName)
		iReckoning:Show(args.dName)
	
	elseif event == "SPELL_AURA_REMOVED" then
		if args:IsPlayer() then
			RW.Callbacks:Fire("RangeCheckShow", false)
		end
		iReckoning:Hide(args.dName)
	end
end
